Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1494072 - Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel
Summary: Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ratbox-services
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John Goulding
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1486480
TreeView+ depends on / blocked
 
Reported: 2017-09-21 12:31 UTC by Michal Schorm
Modified: 2023-09-14 04:08 UTC (History)
1 user (show)

Fixed In Version: ratbox-services-1.2.4-2.fc28 ratbox-services-1.2.4-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-15 01:53:16 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Michal Schorm 2017-09-21 12:31:54 UTC
Hello, a MariaDB went through big changes and your package will probabbly need a patch. However your package FTBFS for a long time, so I have no way to test the patch.

In most cases, this command was enough to fix all the issues:

sed -i "s/mysql-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/mariadb-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/%{_libdir}\/mysql/%{_libdir}\/mariadb/" $(fedpkg gimmespec) ; \
sed -i "s/mariadb-connector-c-devel/mariadb-connector-c-devel openssl-devel/" $(fedpkg gimmespec) ;

This change is currently applicable to the Rawhide (f28) only.



For more information check the tracking bugzilla.

Comment 1 Michal Schorm 2017-12-13 12:41:07 UTC
Hello,
 any update regarding this issue?

Comment 2 Fedora End Of Life 2018-02-20 15:39:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 5 Fedora Update System 2019-01-03 22:00:25 UTC
ircd-ratbox-3.0.10-1.fc29 ratbox-services-1.2.4-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d9dc04ca84

Comment 6 Fedora Update System 2019-01-03 22:00:43 UTC
ircd-ratbox-3.0.10-1.fc28 ratbox-services-1.2.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-563ce6f438

Comment 7 Fedora Update System 2019-01-04 01:42:06 UTC
ircd-ratbox-3.0.10-1.fc28, ratbox-services-1.2.4-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-563ce6f438

Comment 8 Fedora Update System 2019-01-04 02:06:49 UTC
ircd-ratbox-3.0.10-1.fc29, ratbox-services-1.2.4-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d9dc04ca84

Comment 9 Fedora Update System 2019-01-06 23:06:21 UTC
ircd-ratbox-3.0.10-2.fc29 ratbox-services-1.2.4-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d9dc04ca84

Comment 10 Fedora Update System 2019-01-06 23:08:02 UTC
ircd-ratbox-3.0.10-2.fc28 ratbox-services-1.2.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-563ce6f438

Comment 11 Fedora Update System 2019-01-07 01:20:32 UTC
ircd-ratbox-3.0.10-2.fc28, ratbox-services-1.2.4-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-563ce6f438

Comment 12 Fedora Update System 2019-01-07 03:12:27 UTC
ircd-ratbox-3.0.10-2.fc29, ratbox-services-1.2.4-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d9dc04ca84

Comment 13 Fedora Update System 2019-01-15 01:53:16 UTC
ircd-ratbox-3.0.10-2.fc28, ratbox-services-1.2.4-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-01-15 02:33:13 UTC
ircd-ratbox-3.0.10-2.fc29, ratbox-services-1.2.4-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Red Hat Bugzilla 2023-09-14 04:08:31 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.